/*
 * sys_signame.c:
 *
 *	define an array listing the names of system signals
 *
 * #     #                                                   ###
 * #  #  #    ##    #####   #    #     #    #    #   ####    ###
 * #  #  #   #  #   #    #  ##   #     #    ##   #  #    #   ###
 * #  #  #  #    #  #    #  # #  #     #    # #  #  #         #
 * #  #  #  ######  #####   #  # #     #    #  # #  #  ###
 * #  #  #  #    #  #   #   #   ##     #    #   ##  #    #   ###
 *  ## ##   #    #  #    #  #    #     #    #    #   ####    ###
 *
 * THIS FILE IS GENERATED AUTOMATICALLY BY THE SCRIPT ./mksigname.sh FROM
 * THE SIGNAL LIST IN THE FILE "./siglist.in".
 *
 * IF YOU SEE ANY "Unknown Signal" ENTRIES YOU MUST MAKE ADDITIONS TO
 * THE SIGNAL LIST FILE AND REBUILD RATHER THAN EDITING THIS FILE
 * DIRECTLY.
 */

#include "config.h"
#include <sys/types.h>

const char *const sys_signame[] = {
/*  0 */ "Signal 0",	/* Fake value for zero */
/*  1 */ "HUP",		/* Control TTY hangup */
/*  2 */ "INT",		/* Control TTY interrupt */
/*  3 */ "QUIT",	/* Control TTY quit */
/*  4 */ "ILL",		/* Illegal instruction */
/*  5 */ "TRAP",	/* Trace trap */
/*  6 */ "ABRT",	/* Abort(3) called */
/*  7 */ "EMT",		/* Emulator trap */
/*  8 */ "FPE",		/* Floating point exception */
/*  9 */ "KILL",	/* Kill process */
/* 10 */ "BUS",		/* Bus error */
/* 11 */ "SEGV",	/* Segment access violation */
/* 12 */ "SYS",		/* Bad system call */
/* 13 */ "PIPE",	/* Broken pipe */
/* 14 */ "ALRM",	/* Alarm timer expired */
/* 15 */ "TERM",	/* Terminate process */
/* 16 */ "URG",		/* Urgent I/O condition */
/* 17 */ "STOP",	/* Stop process */
/* 18 */ "TSTP",	/* Control TTY stop signal */
/* 19 */ "CONT",	/* Continue stopped process */
/* 20 */ "CHLD",	/* Child status has changed */
/* 21 */ "TTIN",	/* Background process attempted TTY input */
/* 22 */ "TTOU",	/* Background process attempted TTY output */
/* 23 */ "IO",		/* I/O is possible */
/* 24 */ "XCPU",	/* CPU time limit exceeded */
/* 25 */ "XFSZ",	/* File size limit exceeded */
/* 26 */ "VTALRM",	/* Virtual timer expired */
/* 27 */ "PROF",	/* Profiling timer expired */
/* 28 */ "WINCH",	/* Window size change */
/* 29 */ "INFO",	/* Information request from TTY */
/* 30 */ "USR1",	/* User defined signal 1 */
/* 31 */ "USR2",	/* User defined signal 2 */
/* 32 */ "PWR",		/* Power-fail/Restart */
};

const unsigned int sys_nsigname = sizeof(sys_signame) / sizeof(sys_signame[0]);
